Name: libwmf
Version: 0.2.8
Release: alt1

%def_disable static

Summary: A library to convert wmf files
License: GPL
Group: Text tools
Url: http://sourceforge.net/projects/wvware

Source: http://download.sourceforge.net/wvware/%name-%version.tar.bz2

Patch0: %name-0.2.6-cflags.patch

Prefix: %prefix

# Automatically added by buildreq on Wed Aug 22 2001
BuildRequires: freetype2-devel libexpat-devel libjpeg-devel libpng-devel XFree86-devel zlib-devel

%description
%name is a library for unix like machines that can convert wmf
files into other formats, currently it supports a gd binding
to convert to gif, and an X one to draw direct to an X window
or pixmap.

%package -n wmf-utils
Summary: Utilities to convert wmf files
Group: Text tools
Requires: %name = %version-%release

%description -n wmf-utils
This package contains various programs for manipulating WMF format files.

%package -n wmf-fonts
Summary: A library to convert wmf files - fonts data
Group: Text tools

%description -n wmf-fonts
This package contains the fonts needed to run programs dynamically
linked with %name.

%package devel
Summary: A library to convert wmf files - development environment
Group: Development/C
Requires: %name = %version-%release

%description devel
%name is a library for unix like machines that can convert wmf
files into other formats, currently it supports a gd binding
to convert to gif, and an X one to draw direct to an X window
or pixmap.

Install %name-devel if you need to compile an application with %name
support.

%if_enabled static
%package devel-static
Summary: A static library to convert wmf files - static library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
%name is a library for unix like machines that can convert wmf
files into other formats, currently it supports a gd binding
to convert to gif, and an X one to draw direct to an X window
or pixmap.

Install %name-devel-static if you need to build statically linked
applications with %name support.
%endif	# enabled static

%prep
%setup -q
%patch0 -p1 -b .cflags

%build
%configure \
    %{subst_enable static}
    #--with-sys-gd=%prefix \
    #--with-freetype=%prefix \
%make_build

%install
%makeinstall \
    fontdir=$RPM_BUILD_ROOT%_datadir/%name/fonts \
    wmfdocdir=$RPM_BUILD_ROOT%_docdir/%name-%version \
    wmfonedocdir=$RPM_BUILD_ROOT%_docdir/%name-%version/caolan

install -p -m644 ChangeLog CREDITS README TODO $RPM_BUILD_ROOT%_docdir/%name-%version

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
# beware not to take gd files here!
%_libdir/libwmflite-*so.*
%_libdir/libwmf-*so.*

%files -n wmf-utils
# beware not to take gd files here!
%_bindir/wmf2*

%files -n wmf-fonts
# beware not to take gd files here!
%_bindir/%name-fontmap
%_datadir/%name/fonts

%files devel
# beware not to take gd files here!
%_libdir/*.la
%_libdir/*.so
%_bindir/%name-config
%_includedir/%name
%_docdir/%name-%version

%if_enabled static
%files devel-static
%_libdir/*.a
%endif	# enabled static

%changelog
* Tue Dec 17 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.2.8-alt1
- 0.2.8

* Wed Oct 09 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.2.6-alt2
- listed docs properly

* Tue Sep 24 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.2.6-alt1
- 0.2.6
- disabled static build by default
- docs to the devel package
- cflags fixes

* Wed Jun 12 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.2.5-alt1
- 0.2.5
- postun_ldconfig

* Thu Nov 29 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.2.2-alt1
- 0.2.2

* Thu Oct 11 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.2.1-alt1
- Rebuilt with libpng.so.3
- 0.2.1

* Wed Aug 22 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.2.0-alt2
- More spec cleanup.
- Renamed %name subpackage to %name-utils.

* Mon Aug 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.2.0-alt1
- First build for Sisyphus
- Added devel-static package
- Some spec cleanup

* Mon Jul 02 2001 Franois Pons <fpons@mandrakesoft.com> 0.2.0-3mdk
- clean up and split to create libwmf0.2_0 and libwmf-fonts,
  renamed libwmf-devel to libwmf0.2_0-devel.

* Sun Jul 01 2001 Stefan van der Eijk <stefan@eijk.nu> 0.2.0-2mdk
- BuildRequires:	libpng-devel
- BuildRequires:	libxml2-devel
- BuildRequires:	freetype2-devel
- Removed BuildRequires:	freetype-devel

* Mon Jun 18 2001  Daouda Lo <daouda@mandrakesoft.com> 0.2.0-1mdk
- release 0.2.0
- spec cleanups

* Tue Dec 19 2000 Franois Pons <fpons@mandrakesoft.com> 0.1.21-1mdk
- update files and requires.
- 0.1.21.

* Tue Nov  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.1.19-4mdk
- fix summary

* Fri Oct 20 2000 Franois Pons <fpons@mandrakesoft.com> 0.1.19-3mdk
- avoid updating gd with older version here, newer does not run with.

* Fri Oct 20 2000 Franois Pons <fpons@mandrakesoft.com> 0.1.19-2mdk
- reverted back include files where they are expected.

* Fri Oct 20 2000 Franois Pons <fpons@mandrakesoft.com> 0.1.19-1mdk
- macroszifications.
- moved include files to a specific directory.
- updated URL and download page to latest modified version.
- 0.1.19.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.1.8-4mdk
- automatically added BuildRequires

* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.8-3mdk
- fix group

* Wed Apr 21 1999 Sean P. Kane <kane@ca.metsci.com>
- Upgraded to version 0.1.8

* Tue Apr 13 1999 Ryan Weaver <ryanw@infohwy.com>
  [libwmf-0.1.7-1]
- Initial RPM Build
- 0.1.7
- added ability to gd to read xbm's from data, rather than file,
  changed source accordingly, dont need to carry xbm's around
  anymore.
- changed configure script to agressively find the xpm header file,
- tested to work under aix (of all things :-))
- tested to work under solaris.
- checked that it reports lack of xpm lib, and fails to go any
  further.
- fiddled a bit more, and libwmf now works cleanly with mswordview,
  all cheer.
